package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.Objects;

/**
 * A DTO for the TBActivityExtendType entity.
 */
public class TBActivityExtendTypeDTO implements Serializable {

    private Long id;

    private String name;

    private String externalTable;

    private Integer objectType;

    private String condition;

    private Long activityTypeId;

    private Boolean isGuidelineUsing;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long deletedById;

    private Long createdById;

    private Long modifiedById;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExternalTable() {
        return externalTable;
    }

    public void setExternalTable(String externalTable) {
        this.externalTable = externalTable;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public Long getActivityTypeId() {
        return activityTypeId;
    }

    public void setActivityTypeId(Long tBActivityTypeId) {
        this.activityTypeId = tBActivityTypeId;
    }

    public Boolean getIsGuidelineUsing() {
        return isGuidelineUsing;
    }

    public void setIsGuidelineUsing(Boolean isGuidelineUsing) {
        this.isGuidelineUsing = isGuidelineUsing;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBActivityExtendTypeDTO tBActivityExtendTypeDTO = (TBActivityExtendTypeDTO) o;
        if (tBActivityExtendTypeDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBActivityExtendTypeDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBActivityExtendTypeDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", externalTable='" + getExternalTable() + "'" +
            ", objectType=" + getObjectType() +
            ", condition='" + getCondition() + "'" +
            ", isGuidelineUsing='" + getIsGuidelineUsing() + "'" +
            ", createdDate=" + createdDate +
            ", modifiedDate=" + modifiedDate +
            ", deletedDate=" + deletedDate +
            ", deletedById=" + deletedById +
            ", createdById=" + createdById +
            ", modifiedById=" + modifiedById +
            "}";
    }
}
